<?php

namespace catchAdmin\worklocation\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\worklocation\model\WorkLocation as workLocationModel;

class WorkLocation extends CatchController
{
    protected $workLocationModel;
    
    public function __construct(WorkLocationModel $workLocationModel)
    {
        $this->workLocationModel = $workLocationModel;
    }
    
    /**
     * 列表
     * @time 2022年05月19日 13:36
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->workLocationModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年05月19日 13:36
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->workLocationModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年05月19日 13:36
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->workLocationModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年05月19日 13:36
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->workLocationModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年05月19日 13:36
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->workLocationModel->deleteBy($id,true));
    }
}